Backend Fehler 500 nach Upgrade von Vers. 4.6.17 auf 5.1.1

JulianO

Aktives Mitglied
24. Januar 2019
17
3
Moin
Ich habe gerade das Upgrade vom Shop gemacht. Lief alles gut. DB update ohne Probleme. Umstellung auf InnoDB/UTF8 ohne Fehler oder sonstige Auffälligkeiten. Nur nach der DB Umstellung gehen einige Seiten im backend nicht mehr. ZB Die Diagnose oder Pluginverwaltung.

Der Aufruf der Diagnose endet in einem 500er Fehler. Nach Änderung des Loglevels diese Meldung:

Fatal error: Uncaught InvalidArgumentException: "" is not a valid SemVer in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Regex.php:65 Stack trace: #0 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Parser.php(25): JTLShop\SemVer\Regex::matchSemVer() #1 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Version.php(242): JTLShop\SemVer\Parser::parse() #2 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php(179): JTLShop\SemVer\Version::parse() #3 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Backend/Status.php(502): JTL\Plugin\LegacyPlugin->getCurrentVersion() #4 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/admin/templates_c/06c67b8dc63f867f34e4284eee95a0f23c412076_0.file.status.tpl.php(97): JTL\Backend\Status->hasNewPluginVersions() #5 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/smarty in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Regex.php on line 65

Hat jemand eine Idee, woran es liegen kann?

VG Julian
 

JulianO

Aktives Mitglied
24. Januar 2019
17
3
Nachtrag:
Im Safe-Mode lässt sich zumindest die Diagnose wieder aufrufen. Verwaiste Dateien entfernen, usw. Fehler bleibt aber grundsätzlich bestehen.

Aufruf von der Pluginverwaltung:
Code:
Notice: Undefined index: jtlshop3plugin in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 177 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 177 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 177 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 177 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 177 Warning: count(): Parameter must be an array or an object that implements Countable in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 177 Notice: Undefined index: jtlshop3plugin in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 179 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 179 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 179 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 179 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 179 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 179 Notice: Trying to access array offset on value of type null in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php on line 179 Fatal error: Uncaught InvalidArgumentException: "" is not a valid SemVer in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Regex.php:65 Stack trace: #0 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Parser.php(25): JTLShop\SemVer\Regex::matchSemVer() #1 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Version.php(242): JTLShop\SemVer\Parser::parse() #2 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/LegacyPlugin.php(179): JTLShop\SemVer\Version::parse() #3 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/Admin/Listing.php(113): JTL\Plugin\LegacyPlugin->getCurrentVersion() #4 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/Admin/Listing.php(80): JTL\Plugin\Admin\Listing->loadInstalled() #5 /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/src/Plugin/Admin/Listing.php(73): JTL\Plugin\Admin\ in /mnt/web005/a1/17/58756317/htdocs/JTLshop-v4-06-15/includes/vendor/jtlshop/semver/src/JTLShop/SemVer/Regex.php on line 65

VG
Julian
 

cg01

Aktives Mitglied
20. Januar 2018
77
15
Hallo,
sieht nach einem nicht entfernen Plugin aus.
Hast Du alle Plugins vorher deinstalliert und aus dem Ordner /plugins entfernt?

Mit freundlichen Grüßen
 

JulianO

Aktives Mitglied
24. Januar 2019
17
3
ja. alle deaktiviert und die nicht mehr benötigten dann auch gelöscht. drin geblieben sind nur die plugins, die nach dem update wieder aktiviert werden sollen
 

cg01

Aktives Mitglied
20. Januar 2018
77
15
Ich würde diese dennoch entfernen und schauen ob es daran liegt.
Kannst sie ja später wieder hoch laden.
 

blackgren

Gut bekanntes Mitglied
1. Februar 2011
351
12
ja. alle deaktiviert und die nicht mehr benötigten dann auch gelöscht. drin geblieben sind nur die plugins, die nach dem update wieder aktiviert werden sollen

Äh du kannst keine 4er Plugins im 5er Shop verwenden. Du musst alle Plugins die du wieder möchtest neu installieren, diese müssen auch mit dem 5er Shop kompatibel sein. Am besten du machst das über den Extenstion Store.

VG
 

JulianO

Aktives Mitglied
24. Januar 2019
17
3
Hatte es so verstanden, dass diese deaktiviert werden müssen, nach dem Update ggfs. Aktualisiert werden müssen und dann wieder aktiviert werden. Und es soll doch einen Legacy Mode geben für alte Plugin.

aber ok. Kann ich denn jetzt ohne Plugin Manager die alten Plugins deinstallieren und löschen? Oder kann ich die einfach löschen im Verzeichnis?

vg
julian
 

JulianO

Aktives Mitglied
24. Januar 2019
17
3
ich hab jetzt erstmal die plugins im verzeichnis gelöscht. jetzt scheint alles zu funktionieren.

Jetzt muss ich nur noch herausfinden, wie dieser extensions store funktioniert.. bekomme irgendwie die neuen Versionen der Plugins nicht heruntergeladen oder sonst wie in den Shop
 
Ähnliche Themen
Titel Forum Antworten Datum
Neu Google - Tag -> Smarty - Fehler im backend JTL-Shop - Fehler und Bugs 0
Neu Mollie-Backend im 5er Shop lässt sich nur schwer aufrufen Plugins für JTL-Shop 1
Neu JTL Shop 5 Umlaute, Sonderzeichen | Frontend & Backend Installation / Updates von JTL-Shop 2
Neu plugin hauptmenü wird im backend nicht angezeigt Plugins für JTL-Shop 0
Fehler bei Abgleich mit JTL-Shop 5.11/Wawi 1.6.38.2 JTL-Wawi 1.6 2
Neu Fehler in Zahlungsarten: CreatePayment: ERROR: Failed to write cache - Allgemeine Fragen zu JTL-Shop 0
Syntax Fehler Einrichtung JTL-Shop5 0
Neu (WooCommerce) JTL Connector Aufträge lassen sich nicht bearbeiten "Fehler beim MARS-Batch" User helfen Usern - Fragen zu JTL-Wawi 0
Neu Fehler beim heutigen Update von 1.6.38.1 auf 1.6.38.2 Installation von JTL-Wawi 1
Neu JTL Wawi 1.6 - Shopware 6 Kategorien-Senden-Fehler Shopware-Connector 0
Neu Zugriff auf Plugin Käufe zeigt Fehler JTL-Shop - Fehler und Bugs 1
Neu Shop 5.1.x - Weiße Seite bzw. Fehler in DataModel.php JTL-Shop - Fehler und Bugs 0
Neu Fehler beim Speichern der Daten für den Verkaufskanal-PrestaShop-JTL Wawi 1.6 PrestaShop-Connector 0
Neu Fehler 90057 Amazon-Anbindung - Fehler und Bugs 0
Neu Druckvorlagen Fehler in JTL 1.6 User helfen Usern - Fragen zu JTL-Wawi 2
Neu Kritischer Fehler beim Abgleich mit dem Shop WooCommerce-Connector 0
Beantwortet Update Fehler von 1.6.36 auf 1.6.38 Installation von JTL-Wawi 8
Neu JTL DHL Fehler bei "zur Kasse" Plugins für JTL-Shop 0
Neu Fehler Woo Anbindung WooCommerce-Connector 0
Neu Fehler Woo Anbindung WooCommerce-Connector 0
Neu Rechnungs Export (Rechnungen (Neu)) wirft Fehler aus wegen Umsatztseuer fehler Schnittstellen Import / Export 8
Neu Fehler bei der Installation Google reChaptcha v2 Plugins für JTL-Shop 1
Neu Fehler bei Berechnung für kostenfreien Versand, wenn Versandkosten auf netto gestellt sind. JTL-Shop - Fehler und Bugs 0
In Bearbeitung Fehler beim Kassiervorgang / Kundin will Geld per Üwerweisung / Wie kann man das anstellen? Allgemeine Fragen zu JTL-POS 3
Beantwortet GLS Fehler bei Shipping Labels "Index was out of range. Must be non-negative and less than the size of the collection. Parameter name: index" JTL-ShippingLabels - Fehler und Bugs 1
Gelöst PayPal Checkout Fehler : Bitte füllen Sie alle Pflichtfelder aus Plugins für JTL-Shop 11
Update Fehler 4 auf 5 Class not found Upgrade JTL-Shop4 auf JTL-Shop5 1
Neu Warenkorb - Fehler in der Berechnung der Gesamtsumme JTL-Shop - Fehler und Bugs 1
Neu Fehler beim Online-Abgleich Onlineshop-Anbindung 0
Fehler bei Startseitenaufruf des Shop Einrichtung JTL-Shop5 0
Neu FFN Fehler bei Übertragung: "ArgumentException: Das Zielarray ist nicht lang genug. Überprüfen Sie destIndex, die Länge und die Untergrenze des Array" JTL-Wawi - Fehler und Bugs 0
Neu [modified shop] plötzlich Fehler beim Shopabgleich - Artikel einstellen nicht möglich Modified eCommerce-Connector 3
Fehler in Filter LAGER JTL-Wawi - Fehler und Bugs 0
Fehler Dateistruktur Upgrade JTL-Shop4 auf JTL-Shop5 2
Neu Es liegen Fehler in der Dateistruktur vor nach Update von Shop 5.1.1 auf 5.1.2 Installation / Updates von JTL-Shop 20
Neu Shop 4 Paypal: Statt Zahlungsart Paypal Plus wird Fehler "forbidden" angezeigt Plugins für JTL-Shop 6
Verwiesen an Support Abgleich Fehler nach Shopware Connector Update Shopware-Connector 1
Neu Fehler in Connector-Requestdaten nach Änderung der Kundengruppe in der Wawi Allgemeines zu den JTL-Connectoren 2
Neu JTL Connector zu Presta "Product": {"delete"} -> Exception bei product.delete: Der Remoteserver hat einen Fehler zurückgegeben: (500) Interner Serverf PrestaShop-Connector 1
Neu JTL Paypal Checkout Fehler Anzeige User helfen Usern - Fragen zu JTL-Wawi 16
Neu JTL Shop 5.1.2 Fehler und Bugs: Error executing query: SELECT tartikel.kArtikel JTL-Shop - Fehler und Bugs 0
Neu Onlineshop Abgleich (zu Shopware) Fehler Artikelmerkmale Farbe, Übersetzungen und Details Shopware-Connector 0
Neu Fehler beim Verbindungsaufbau: Exception bei core.connector.auth: Der Remoteserver hat einen Fehler zurückgegeben: (401) Nicht autorisiert. WooCommerce-Connector 1
Neu E-Mail-Einstellungen - Endet immer mit Fehler User helfen Usern - Fragen zu JTL-Wawi 0
Neu Wawi 1.45.1 - lastPage bei Mehrfachdruck nur 1 x drucken - wo liegt mein Fehler? Druck-/ E-Mail-/ Exportvorlagen in JTL-Wawi 0
Neu Alle Templates und Formatierungen weg und HTTP 500 Fehler. JTL-Shop - Fehler und Bugs 1
Neu Fehler beim Erstellen von DHL Labels über JTL Shipping JTL-ShippingLabels - Fehler und Bugs 1
Gelöst Fehler in der Kopfzeile Daten Import aus der Wawi Allgemeine Fragen zu JTL-POS 1
Neu Fehler bei Bestand Verfügbarkeit, Reservierungen werden doppelt abgezogen? JTL-Wawi - Fehler und Bugs 3
Neu Fehler "Division durch Null" beim Versuch, Rechnungskorrekturen anzusehen (WAWI 1.6.35.2) JTL-Wawi - Fehler und Bugs 0

Ähnliche Themen